**Source URL:** https://limited.veevavault.dev/safety/vault-api/api-reference/26.3/safety/intake/retrieve-intake-status

# Retrieve Intake Status

Use the following endpoint to retrieve the status of an intake API call:

<Endpoint path="/api/{version}/app/safety/intake/status" method="GET" />

The Retrieve Intake Status endpoint can be used with the following Safety intake endpoints:

*   Intake Inbox Item
*   Intake Imported Case

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` |
</FieldTable>

#### URL Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `inbound_id` | The Inbound Transmission ID for the ICSR intake job. |
</FieldTable>

## Request

<CodeExample title="">
```sh
curl --location --request GET 'https://myvault.veevavault.com/api/v20.2/app/safety/intake/status?inbound_id=V29000000005001' \
--header 'Authorization: {AUTH_VALUE}'
```
</CodeExample>

## Response

<CodeExample title="">
```sh
{
    "status": "complete",
    "ack-retrieval": "/api/v21.2/app/safety/intake/ack?inbound_id=V29000000005001",
    "inbound-transmission": "V29000000005001",
    "inbound-document": "7_0_1",
    "number-of-icsrs": 1,
    "number-success/warning": 1,
    "number-failures": 0,
    "icsr-details": [
        {
            "icsr": "V2B000000005001",
            "inbound-transmission": "V29000000005001",
            "inbound-document": "7_0_1",
            "ack-retrieval": "/api/v21.2/app/safety/intake/ack?inbound_id=V29000000005001",
            "status": "Success"
        }
    ]
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response includes the following information:

<FieldTable>
| Name | Description |
| --- | --- |
| `status` | Processing status for the intake job. |
| `ack-retrieval` | URL to retrieve the ACK. This parameter only applies to E2B intake file types. |
| `inbound-transmission` | ID or link to the Inbound Transmission for the entire intake job. |
| `inbound-document` | ID or link to the Vault document created from E2B file for the entire intake job. |
| `number-cases` | Total number of cases found in the intake file, including both successes and failures. |
| `number-successes` | Number of cases that were imported successfully, including those with warnings. |
| `number-failures` | Number of cases that failed to import. |
| `icsr-details` | An array containing details for each individual case within the file. This will be populated with a single entry for single E2B files. |
| `icsr-details.case` | ID of the Imported Case record. Present only for Imported Case intake jobs. |
| `icsr-details.inbox-item` | ID of the Inbox Item record. Present only for Inbox Item intake jobs. |
| `icsr-details.inbound-transmission` | ID of the Inbound Transmission for this case. |
| `icsr-details.inbound-document` | ID of the Vault document for the case. For multi-case E2B files, the E2B for individual cases is split out into separate documents. |
| `icsr-details.ack-retrieval` | URL for the ACK for the case. This parameter only applies to E2B intake file types. |
| `icsr-details.status` | Status of the Imported Case or Inbox Item. |
</FieldTable>

On `FAILURE`, the response returns a message describing the reason for the failure.

---

**Previous:** [Intake Imported Case](/safety/vault-api/api-reference/26.3/safety/intake/intake-imported-case)  
**Next:** [Retrieve ACK](/safety/vault-api/api-reference/26.3/safety/intake/retrieve-ack)